tigase.jaxmpp.core.client.xmpp.modules.presence

## Interface PresenceModule.ContactAvailableHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    PresenceModule

      public static interface PresenceModule.ContactAvailableHandler
      extends EventHandler

  Event fired when contact (understood as bare JID) becomes available. Fired when first resource of JID becomes available.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PresenceModule.ContactAvailableHandler.ContactAvailableEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onContactAvailable(SessionObject sessionObject, Presence stanza, JID jid, Presence.Show show, String status, Integer priority)`

- - ### Method Detail

    - #### onContactAvailable

          void onContactAvailable(SessionObject sessionObject,
                                  Presence stanza,
                                  JID jid,
                                  Presence.Show show,
                                  String status,
                                  Integer priority)
                           throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.